<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:36 GMT 2018 -->
<title>S-Index</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#setAsRandom-java.lang.String-java.lang.String-">setAsRandom(String, String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Mark the chosen key as randomised.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#setAsTrigger--">setAsTrigger()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Set the key as a trigger key for the keyboard map.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MainGUI.html#setCurrentKeymap-java.lang.String-">setCurrentKeymap(String)</a></span> - Method in class mapping.<a href="../mapping/MainGUI.html" title="class in mapping">MainGUI</a></dt>
<dd>
<div class="block">Sets the current keymap that is displayed in the view.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MainGUI.html#setDefaultDisplay--">setDefaultDisplay()</a></span> - Method in class mapping.<a href="../mapping/MainGUI.html" title="class in mapping">MainGUI</a></dt>
<dd>
<div class="block">Returns the virtual keyboard to its default display.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#setImage-java.awt.image.BufferedImage-">setImage(BufferedImage)</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Set the image overlay associated the key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MainGUI.html#setKeyBorder-java.lang.String-java.awt.Color-">setKeyBorder(String, Color)</a></span> - Method in class mapping.<a href="../mapping/MainGUI.html" title="class in mapping">MainGUI</a></dt>
<dd>
<div class="block">Set the border of a specified keyboard button.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MainGUI.html#setKeyDisplayText-java.lang.String-java.lang.String-">setKeyDisplayText(String, String)</a></span> - Method in class mapping.<a href="../mapping/MainGUI.html" title="class in mapping">MainGUI</a></dt>
<dd>
<div class="block">Set the text of a key on the virtually keyboard.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MainGUI.html#setKeyImage-java.lang.String-java.awt.image.BufferedImage-">setKeyImage(String, BufferedImage)</a></span> - Method in class mapping.<a href="../mapping/MainGUI.html" title="class in mapping">MainGUI</a></dt>
<dd>
<div class="block">Sets the image display of a keyboard key</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#setKeyImage-java.lang.String-java.lang.String-java.awt.image.BufferedImage-">setKeyImage(String, String, BufferedImage)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Sets an image to be displayed on a key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#setKeyMapping-java.lang.String-java.lang.String-java.lang.String-">setKeyMapping(String, String, String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Set's the mapping of a key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#setMapping-java.lang.String-">setMapping(String)</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Set the unicode character that the key will be mapped to.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/KeyMap.html#setName-java.lang.String-">setName(String)</a></span> - Method in class mapping.<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></dt>
<dd>
<div class="block">Sets the name of the KeyMap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#setTextOverlay-java.lang.String-">setTextOverlay(String)</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Sets the text overlay associated with the key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#setTextOverlay-java.lang.String-java.lang.String-java.lang.String-">setTextOverlay(String, String, String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Sets the text that will be displayed on a mapped key or a trigger key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#setTrigger-java.lang.String-java.lang.String-">setTrigger(String, String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Sets the chosen key as a trigger for a keymap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#startUp--">startUp()</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">The first method called when the object is created.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
